Bug Hunting Session
Bug 108879 - Slide pane (and slide sorter) shows blurred images after saving PPTX to ODP
Summary: Slide pane (and slide sorter) shows blurred images after saving PPTX to ODP
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx, preBibisect, regression
Depends on:
Blocks: Slide-Page-Pane PPTX
  Show dependency treegraph
 
Reported: 2017-06-30 15:34 UTC by Eric M
Modified: 2019-02-19 03:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
image showing mangled images in slide pane (554.25 KB, image/png)
2017-06-30 15:34 UTC, Eric M
Details
powerpoint file containing a figure on each slide (2.47 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-07-04 01:58 UTC, Eric M
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric M 2017-06-30 15:34:51 UTC
Created attachment 134416 [details]
image showing mangled images in slide pane

The slide pane on the left shows mangled, or blurry images for slides imported from powerpoint. They will be rendered correctly after moving the figure on the slide, or changing the slide master for the slide. But even after saving, closing Impress and reopening the .ods file, the slides are back to blurry. This only occurs for imported ppt slides, which I unfortunately have to use because I share slides with coworkers.

I tried essentially everything I could to resolve this, but every time the file is closed and reopened, those slides go back to being mangled in the slide pane. The view is also the same in the slide sorter. Those imported slides are again mangled in that view.

Things that DO NOT work:
1. resetting all of the slides slide master. (only resetting them individually one-by-one works to redraw the slide pane image)
2. Any fix that works in session is lost when the file is closed and reopened.

Is there any way to make Impress re-render the slides in the slide pane and slide sorter automatically?

EM
Comment 1 Eric M 2017-06-30 23:16:16 UTC
Note: Opening the powerpoint file using Impress with the affected slides works; the slide sorter and slide pane images accurately reflect the slide contents. It is on saving the ppt as .odp that causes the problem.
Comment 2 Eric M 2017-06-30 23:29:42 UTC
And... if I save the .odp file with the mangled slide pane slides as .pptx using Impress, it re-renders the slides in the slide pane and they are OK.
Comment 3 Buovjaga 2017-07-03 17:51:46 UTC
Please attach an example PPT file (untouched by LibreOffice)

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 4 Eric M 2017-07-04 01:58:22 UTC
Created attachment 134469 [details]
powerpoint file containing a figure on each slide
Comment 5 Eric M 2017-07-04 02:02:47 UTC
I have attached the ppt file. Just open it in Libreoffice and save as .odp, and then reopen in Libreoffice. The slide panel and slide sorter should show the problem.

I have noticed that after 20-30 minutes of working with the slides (as one would normally do while editing a presentation) at some point the slide panel and slide sorter thumbnails are redrawn and look as they should. But closing and reopening the .odp file again renders those slides incorrectly.

Thank you for your interest and help with this issue.

-EM
Comment 6 Buovjaga 2017-07-04 04:36:17 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 98befbb26217b0bf3f35354e418a355280c52cfc
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 29th 2017
Comment 7 Buovjaga 2017-07-04 04:37:48 UTC
Not in 3.3, but already in 3.6

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 8 Eric M 2018-02-18 00:04:19 UTC
I have posted a possible workaround and solution in new bug report 115808

https://bugs.documentfoundation.org/show_bug.cgi?id=115808
Comment 9 QA Administrators 2019-02-19 03:42:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug